<div style="margin-top: 20px;">
	<h5>
		<span>BAST - BPKB - Internal</span>
	</h5>

	<div class="fieldset-legend">
		<p-accordion class="filter-accordion">
			<p-accordionTab header="Filter" [selected]="false">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal BAST</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal Terima BPKB</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6">					
					<div class="form-group">
						<label class="form-control-label" for="field_jenisPembelian">Jenis Pembelian</label>
						<select class="form-control" [(ngModel)]="selectedLeasing" (change)="selectByLeasing()">
							<option [ngValue]="null">Cash</option>
							<option [ngValue]="option.idPartyRole" *ngFor="let option of leasingCompanies; trackBy: trackLeasingCompanyById">{{option.partyName}}</option>
						</select>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_statusType">Status</label>
						<select class="form-control" id="field_statusType" name="statusType">
							<option [ngValue]="null"></option>
							<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
						</select>
					</div>
				</div>
				<div class="col-md-12"> 
				<div class="form-group">
					<label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
					<!-- </p-dropdown class="form-select" [options]="korals" [(ngModel)]="selectedKorsal" placeholder="Select Korsal" ></p-dropdown> -->
					<select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
						<option [value]="null">Select Korsal</option>
						<option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
					</select>
				</div>
				<div class="form-group">
					<label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
					<select class="form-control" [(ngModel)]="selectedSalesman">
						<option [value]="null">Select Salesman</option>
						<option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
				</div>
				</div>
			</div>
			<div class="btn-filter-wrapper">
				<button type="button" class="btn btn-primary btn-filter" (click)="filter()">
					<span>Filter</span>
				</button>
			</div>
			</p-accordionTab>
		</p-accordion>
	</div>

	<div class="input-group w-100 mt-3">
		<input type="text" class="form-control" [(ngModel)]="filtered" id="currentSearch"
			name="currentSearch" placeholder="Find BPKB">
		<button class="input-group-addon btn btn-info flat-style-button" (click)="filter()" *ngIf="filtered">
			<span class="fa fa-search"></span>
		</button>
		<button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="filtered">
			<span class="fa fa-trash-o"></span>
		</button>                        
	</div>

	<p-dataTable
		[value]="unitDeliverables"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="idDeliverable"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)"
		[(selection)]="selected">
		<p-header>
				<!-- <div class="row"></div> -->
			</p-header>
		<p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. BAST">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.bastNumber}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. BAST">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.dateDelivery | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="No. Rangka">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.idframe}}
			</ng-template>
		</p-column>
		<p-column header="No. Mesin">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.idmachine}}
			</ng-template>
		</p-column>
		<p-column header="No. BPKB">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.bpkbNumber}}
			</ng-template>
		</p-column>
		<p-column header="Jenis Pembelian">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.vehicleDocumentRequirement.saleType.description}} -->
				<div *ngIf="rowData.fincoyName == null" >
					<!-- {{rowData.delivNotice | date:'dd-MM-yyyy'}} -->
					<label [style]="{'text-align': 'center'}">CASH</label>
				</div>
				<div *ngIf="rowData.fincoyName != null" >
						{{rowData.fincoyName}}
				</div>
			</ng-template>
		</p-column>
		<p-column header="AR">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateRequired | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="No. Polisi">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.requestPoliceNumber}}
			</ng-template>
		</p-column>
		<p-column header="Nama BPKB">
			<ng-template let-rowData="rowData" pTemplate="body">
				<div *ngIf="rowData.vehicleDocumentRequirement.personOwner != null">
						{{rowData.vehicleDocumentRequirement.personOwner.name}}
				</div>
				<div *ngIf="rowData.vehicleDocumentRequirement.personOwner == null">
					{{rowData.vehicleDocumentRequirement.organizationOwner.name}}
				</div>
			</ng-template>
		</p-column>
		<p-column header="Tgl. Terima BPKB">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.bpkb | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="Nama Pembeli">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.customerName}}
			</ng-template>
		</p-column>
		<p-column header="Nama Penerima">
			<ng-template let-rowData="rowData" pTemplate="body">
					{{rowData.name}}
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>
	<div class="btn-filter-wrapper pull-right">
			<button (click)="showPrintLeasingMulti()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
				<span>BAST Leasing</span>
			</button>
			<button (click)="showPrintCustomerMulti()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
					<span>BAST Customer</span>
			</button>
			<button (click)="showRevisiMulti()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
					<span>Revisi</span>
			</button>
	</div>
</div>
<div style="margin-top: 10px;"></div>



<p-dialog header="BAST BPKB Leasing" [(visible)]="printLeasingModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<h5>Diserahkan ke:</h5>

			<form name="editForm" role="form" novalidate (ngSubmit)="doPrintLeasing()" #editForm="ngForm">
				<input type="hidden" class="form-control" id="idDeliverable" name="idDeliverable" [(ngModel)]="unitDeliverable.idDeliverable"/>

				<div class="col-sm-12">
					<label class="form-control-label ui-g-6">Nama Pengambil*</label>
					<label class="form-control-label ui-g-6">
						<input type="text" class="form-control" name="name" id="field_name" [(ngModel)]="unitDeliverable.name" required />
					</label>
				</div>
				<div class="col-sm-12">
					<label class="form-control-label ui-g-6">No KTP*</label>
					<label class="form-control-label ui-g-6">
						<input type="text" class="form-control" name="identitynumber" id="field_identitynumber" [(ngModel)]="unitDeliverable.identityNumber" required />
					</label>
				</div>
				<button class="btn btn-primary pull-right" type="submit" >Print BAST</button>
			</form>
		</div>
	</div>
</p-dialog>

<p-dialog header="BAST BPKB Customer" [(visible)]="printCustomerModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<h5>Diserahkan ke:</h5>

			<form name="editForm" role="form" novalidate (ngSubmit)="doPrintCustomer()" #editForm="ngForm">
				<input type="hidden" class="form-control" id="idDeliverable" name="idDeliverable" [(ngModel)]="unitDeliverable.idDeliverable"/>

				<div class="col-sm-12">
					<label class="form-control-label ui-g-6">Nama Pengambil*</label>
					<label class="form-control-label ui-g-6">
						<input type="text" class="form-control" name="name" id="field_name" [(ngModel)]="unitDeliverable.name" required />
					</label>
				</div>
				<div class="col-sm-12">
					<label class="form-control-label ui-g-6">No KTP*</label>
					<label class="form-control-label ui-g-6">
						<input type="text" class="form-control" name="identitynumber" id="field_identitynumber" [(ngModel)]="unitDeliverable.identityNumber" required />
					</label>
				</div>
				<!-- <button class="btn btn-primary pull-right" type="submit" (click)="print(unitDeliverable.idframe,unitDeliverable.name,unitDeliverable.identityNumber)">Print BAST</button> -->
				<button class="btn btn-primary pull-right" type="submit">Print BAST</button>
			</form>
		</div>
	</div>
</p-dialog>

<p-dialog header="Revisi BPKB" [(visible)]="revisiModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<p>Data yang akan direvisi:</p>

			<form name="editForm" role="form" novalidate (ngSubmit)="doRevisi()" style="margin-left:10px" #editForm="ngForm">
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNamaSTNK" label="Nama STNK" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNoPol" label="No Polisi" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiNokaNosin" label="NOKA / NOSIN" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiTipeKendaraan" label="Tipe Kendaraan" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<div class="col-sm-12">
					<p-checkbox name="input_revisiAlamat" label="Alamat" styleClass="form-check-input" binary="true"></p-checkbox>
				</div>
				<button class="btn btn-primary pull-right" type="submit">Submit</button>
			</form>
		</div>
	</div>
</p-dialog>



<!-- <p-confirmDialog></p-confirmDialog> -->
